# Compile modes (specified by user): libraries on ada
#
#     Note : - all libraries are compiled with -Pstack
#            - the models use their own (stack/static) option 
#            
  if [ $compile_mode = default ];   then
    optc=" " 
    optf="-shared-intel -mcmodel=large -convert big_endian"
    optf77="-shared-intel -mcmodel=large -convert big_endian"
    optl="-shared-intel -mcmodel=large"
  elif [ $compile_mode = debug ];   then
    optc=" "
    optf="-convert big_endian"
    optf77="-convert big_endian"
    optl=""
  elif [ $compile_mode = profile ]; then
    echo "not yet possible"
    exit 1
  elif [ $compile_mode = opt ];     then
    optc=""
    optf="-convert big_endian"
    optf77="-convert big_endian"
    optl=""
  elif [ $compile_mode = ad_hoc ];  then
    echo "with this option the options are set through GUI input"
    exit 1
  else
    echo "Invalid compile mode"
    exit 1
  fi

# Other compile options

  optdbl="-i4 -r8"
  optnh=""
  lstflags=""
